Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network161.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
161.0.0.0
Broadcast address
161.255.255.255
First usable
161.0.0.1
Last usable
161.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex A1000000 · Integer 2701131776 to 2717908991
Reverse DNS zone
161.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100001..00000000.00000000.00000000161.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10100001..00000000.00000000.00000000161.0.0.0
Broadcast10100001..11111111.11111111.11111111161.255.255.255
Split into smaller subnets/16

161.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1161.0.0.0/16161.0.0.1 to 161.0.255.254161.0.255.25565,534
2161.1.0.0/16161.1.0.1 to 161.1.255.254161.1.255.25565,534
3161.2.0.0/16161.2.0.1 to 161.2.255.254161.2.255.25565,534
4161.3.0.0/16161.3.0.1 to 161.3.255.254161.3.255.25565,534
5161.4.0.0/16161.4.0.1 to 161.4.255.254161.4.255.25565,534
6161.5.0.0/16161.5.0.1 to 161.5.255.254161.5.255.25565,534
7161.6.0.0/16161.6.0.1 to 161.6.255.254161.6.255.25565,534
8161.7.0.0/16161.7.0.1 to 161.7.255.254161.7.255.25565,534
9161.8.0.0/16161.8.0.1 to 161.8.255.254161.8.255.25565,534
10161.9.0.0/16161.9.0.1 to 161.9.255.254161.9.255.25565,534
11161.10.0.0/16161.10.0.1 to 161.10.255.254161.10.255.25565,534
12161.11.0.0/16161.11.0.1 to 161.11.255.254161.11.255.25565,534
13161.12.0.0/16161.12.0.1 to 161.12.255.254161.12.255.25565,534
14161.13.0.0/16161.13.0.1 to 161.13.255.254161.13.255.25565,534
15161.14.0.0/16161.14.0.1 to 161.14.255.254161.14.255.25565,534
16161.15.0.0/16161.15.0.1 to 161.15.255.254161.15.255.25565,534
17161.16.0.0/16161.16.0.1 to 161.16.255.254161.16.255.25565,534
18161.17.0.0/16161.17.0.1 to 161.17.255.254161.17.255.25565,534
19161.18.0.0/16161.18.0.1 to 161.18.255.254161.18.255.25565,534
20161.19.0.0/16161.19.0.1 to 161.19.255.254161.19.255.25565,534
21161.20.0.0/16161.20.0.1 to 161.20.255.254161.20.255.25565,534
22161.21.0.0/16161.21.0.1 to 161.21.255.254161.21.255.25565,534
23161.22.0.0/16161.22.0.1 to 161.22.255.254161.22.255.25565,534
24161.23.0.0/16161.23.0.1 to 161.23.255.254161.23.255.25565,534
25161.24.0.0/16161.24.0.1 to 161.24.255.254161.24.255.25565,534
26161.25.0.0/16161.25.0.1 to 161.25.255.254161.25.255.25565,534
27161.26.0.0/16161.26.0.1 to 161.26.255.254161.26.255.25565,534
28161.27.0.0/16161.27.0.1 to 161.27.255.254161.27.255.25565,534
29161.28.0.0/16161.28.0.1 to 161.28.255.254161.28.255.25565,534
30161.29.0.0/16161.29.0.1 to 161.29.255.254161.29.255.25565,534
31161.30.0.0/16161.30.0.1 to 161.30.255.254161.30.255.25565,534
32161.31.0.0/16161.31.0.1 to 161.31.255.254161.31.255.25565,534
33161.32.0.0/16161.32.0.1 to 161.32.255.254161.32.255.25565,534
34161.33.0.0/16161.33.0.1 to 161.33.255.254161.33.255.25565,534
35161.34.0.0/16161.34.0.1 to 161.34.255.254161.34.255.25565,534
36161.35.0.0/16161.35.0.1 to 161.35.255.254161.35.255.25565,534
37161.36.0.0/16161.36.0.1 to 161.36.255.254161.36.255.25565,534
38161.37.0.0/16161.37.0.1 to 161.37.255.254161.37.255.25565,534
39161.38.0.0/16161.38.0.1 to 161.38.255.254161.38.255.25565,534
40161.39.0.0/16161.39.0.1 to 161.39.255.254161.39.255.25565,534
41161.40.0.0/16161.40.0.1 to 161.40.255.254161.40.255.25565,534
42161.41.0.0/16161.41.0.1 to 161.41.255.254161.41.255.25565,534
43161.42.0.0/16161.42.0.1 to 161.42.255.254161.42.255.25565,534
44161.43.0.0/16161.43.0.1 to 161.43.255.254161.43.255.25565,534
45161.44.0.0/16161.44.0.1 to 161.44.255.254161.44.255.25565,534
46161.45.0.0/16161.45.0.1 to 161.45.255.254161.45.255.25565,534
47161.46.0.0/16161.46.0.1 to 161.46.255.254161.46.255.25565,534
48161.47.0.0/16161.47.0.1 to 161.47.255.254161.47.255.25565,534
49161.48.0.0/16161.48.0.1 to 161.48.255.254161.48.255.25565,534
50161.49.0.0/16161.49.0.1 to 161.49.255.254161.49.255.25565,534
51161.50.0.0/16161.50.0.1 to 161.50.255.254161.50.255.25565,534
52161.51.0.0/16161.51.0.1 to 161.51.255.254161.51.255.25565,534
53161.52.0.0/16161.52.0.1 to 161.52.255.254161.52.255.25565,534
54161.53.0.0/16161.53.0.1 to 161.53.255.254161.53.255.25565,534
55161.54.0.0/16161.54.0.1 to 161.54.255.254161.54.255.25565,534
56161.55.0.0/16161.55.0.1 to 161.55.255.254161.55.255.25565,534
57161.56.0.0/16161.56.0.1 to 161.56.255.254161.56.255.25565,534
58161.57.0.0/16161.57.0.1 to 161.57.255.254161.57.255.25565,534
59161.58.0.0/16161.58.0.1 to 161.58.255.254161.58.255.25565,534
60161.59.0.0/16161.59.0.1 to 161.59.255.254161.59.255.25565,534
61161.60.0.0/16161.60.0.1 to 161.60.255.254161.60.255.25565,534
62161.61.0.0/16161.61.0.1 to 161.61.255.254161.61.255.25565,534
63161.62.0.0/16161.62.0.1 to 161.62.255.254161.62.255.25565,534
64161.63.0.0/16161.63.0.1 to 161.63.255.254161.63.255.25565,534
65161.64.0.0/16161.64.0.1 to 161.64.255.254161.64.255.25565,534
66161.65.0.0/16161.65.0.1 to 161.65.255.254161.65.255.25565,534
67161.66.0.0/16161.66.0.1 to 161.66.255.254161.66.255.25565,534
68161.67.0.0/16161.67.0.1 to 161.67.255.254161.67.255.25565,534
69161.68.0.0/16161.68.0.1 to 161.68.255.254161.68.255.25565,534
70161.69.0.0/16161.69.0.1 to 161.69.255.254161.69.255.25565,534
71161.70.0.0/16161.70.0.1 to 161.70.255.254161.70.255.25565,534
72161.71.0.0/16161.71.0.1 to 161.71.255.254161.71.255.25565,534
73161.72.0.0/16161.72.0.1 to 161.72.255.254161.72.255.25565,534
74161.73.0.0/16161.73.0.1 to 161.73.255.254161.73.255.25565,534
75161.74.0.0/16161.74.0.1 to 161.74.255.254161.74.255.25565,534
76161.75.0.0/16161.75.0.1 to 161.75.255.254161.75.255.25565,534
77161.76.0.0/16161.76.0.1 to 161.76.255.254161.76.255.25565,534
78161.77.0.0/16161.77.0.1 to 161.77.255.254161.77.255.25565,534
79161.78.0.0/16161.78.0.1 to 161.78.255.254161.78.255.25565,534
80161.79.0.0/16161.79.0.1 to 161.79.255.254161.79.255.25565,534
81161.80.0.0/16161.80.0.1 to 161.80.255.254161.80.255.25565,534
82161.81.0.0/16161.81.0.1 to 161.81.255.254161.81.255.25565,534
83161.82.0.0/16161.82.0.1 to 161.82.255.254161.82.255.25565,534
84161.83.0.0/16161.83.0.1 to 161.83.255.254161.83.255.25565,534
85161.84.0.0/16161.84.0.1 to 161.84.255.254161.84.255.25565,534
86161.85.0.0/16161.85.0.1 to 161.85.255.254161.85.255.25565,534
87161.86.0.0/16161.86.0.1 to 161.86.255.254161.86.255.25565,534
88161.87.0.0/16161.87.0.1 to 161.87.255.254161.87.255.25565,534
89161.88.0.0/16161.88.0.1 to 161.88.255.254161.88.255.25565,534
90161.89.0.0/16161.89.0.1 to 161.89.255.254161.89.255.25565,534
91161.90.0.0/16161.90.0.1 to 161.90.255.254161.90.255.25565,534
92161.91.0.0/16161.91.0.1 to 161.91.255.254161.91.255.25565,534
93161.92.0.0/16161.92.0.1 to 161.92.255.254161.92.255.25565,534
94161.93.0.0/16161.93.0.1 to 161.93.255.254161.93.255.25565,534
95161.94.0.0/16161.94.0.1 to 161.94.255.254161.94.255.25565,534
96161.95.0.0/16161.95.0.1 to 161.95.255.254161.95.255.25565,534
97161.96.0.0/16161.96.0.1 to 161.96.255.254161.96.255.25565,534
98161.97.0.0/16161.97.0.1 to 161.97.255.254161.97.255.25565,534
99161.98.0.0/16161.98.0.1 to 161.98.255.254161.98.255.25565,534
100161.99.0.0/16161.99.0.1 to 161.99.255.254161.99.255.25565,534
101161.100.0.0/16161.100.0.1 to 161.100.255.254161.100.255.25565,534
102161.101.0.0/16161.101.0.1 to 161.101.255.254161.101.255.25565,534
103161.102.0.0/16161.102.0.1 to 161.102.255.254161.102.255.25565,534
104161.103.0.0/16161.103.0.1 to 161.103.255.254161.103.255.25565,534
105161.104.0.0/16161.104.0.1 to 161.104.255.254161.104.255.25565,534
106161.105.0.0/16161.105.0.1 to 161.105.255.254161.105.255.25565,534
107161.106.0.0/16161.106.0.1 to 161.106.255.254161.106.255.25565,534
108161.107.0.0/16161.107.0.1 to 161.107.255.254161.107.255.25565,534
109161.108.0.0/16161.108.0.1 to 161.108.255.254161.108.255.25565,534
110161.109.0.0/16161.109.0.1 to 161.109.255.254161.109.255.25565,534
111161.110.0.0/16161.110.0.1 to 161.110.255.254161.110.255.25565,534
112161.111.0.0/16161.111.0.1 to 161.111.255.254161.111.255.25565,534
113161.112.0.0/16161.112.0.1 to 161.112.255.254161.112.255.25565,534
114161.113.0.0/16161.113.0.1 to 161.113.255.254161.113.255.25565,534
115161.114.0.0/16161.114.0.1 to 161.114.255.254161.114.255.25565,534
116161.115.0.0/16161.115.0.1 to 161.115.255.254161.115.255.25565,534
117161.116.0.0/16161.116.0.1 to 161.116.255.254161.116.255.25565,534
118161.117.0.0/16161.117.0.1 to 161.117.255.254161.117.255.25565,534
119161.118.0.0/16161.118.0.1 to 161.118.255.254161.118.255.25565,534
120161.119.0.0/16161.119.0.1 to 161.119.255.254161.119.255.25565,534
121161.120.0.0/16161.120.0.1 to 161.120.255.254161.120.255.25565,534
122161.121.0.0/16161.121.0.1 to 161.121.255.254161.121.255.25565,534
123161.122.0.0/16161.122.0.1 to 161.122.255.254161.122.255.25565,534
124161.123.0.0/16161.123.0.1 to 161.123.255.254161.123.255.25565,534
125161.124.0.0/16161.124.0.1 to 161.124.255.254161.124.255.25565,534
126161.125.0.0/16161.125.0.1 to 161.125.255.254161.125.255.25565,534
127161.126.0.0/16161.126.0.1 to 161.126.255.254161.126.255.25565,534
128161.127.0.0/16161.127.0.1 to 161.127.255.254161.127.255.25565,534
129161.128.0.0/16161.128.0.1 to 161.128.255.254161.128.255.25565,534
130161.129.0.0/16161.129.0.1 to 161.129.255.254161.129.255.25565,534
131161.130.0.0/16161.130.0.1 to 161.130.255.254161.130.255.25565,534
132161.131.0.0/16161.131.0.1 to 161.131.255.254161.131.255.25565,534
133161.132.0.0/16161.132.0.1 to 161.132.255.254161.132.255.25565,534
134161.133.0.0/16161.133.0.1 to 161.133.255.254161.133.255.25565,534
135161.134.0.0/16161.134.0.1 to 161.134.255.254161.134.255.25565,534
136161.135.0.0/16161.135.0.1 to 161.135.255.254161.135.255.25565,534
137161.136.0.0/16161.136.0.1 to 161.136.255.254161.136.255.25565,534
138161.137.0.0/16161.137.0.1 to 161.137.255.254161.137.255.25565,534
139161.138.0.0/16161.138.0.1 to 161.138.255.254161.138.255.25565,534
140161.139.0.0/16161.139.0.1 to 161.139.255.254161.139.255.25565,534
141161.140.0.0/16161.140.0.1 to 161.140.255.254161.140.255.25565,534
142161.141.0.0/16161.141.0.1 to 161.141.255.254161.141.255.25565,534
143161.142.0.0/16161.142.0.1 to 161.142.255.254161.142.255.25565,534
144161.143.0.0/16161.143.0.1 to 161.143.255.254161.143.255.25565,534
145161.144.0.0/16161.144.0.1 to 161.144.255.254161.144.255.25565,534
146161.145.0.0/16161.145.0.1 to 161.145.255.254161.145.255.25565,534
147161.146.0.0/16161.146.0.1 to 161.146.255.254161.146.255.25565,534
148161.147.0.0/16161.147.0.1 to 161.147.255.254161.147.255.25565,534
149161.148.0.0/16161.148.0.1 to 161.148.255.254161.148.255.25565,534
150161.149.0.0/16161.149.0.1 to 161.149.255.254161.149.255.25565,534
151161.150.0.0/16161.150.0.1 to 161.150.255.254161.150.255.25565,534
152161.151.0.0/16161.151.0.1 to 161.151.255.254161.151.255.25565,534
153161.152.0.0/16161.152.0.1 to 161.152.255.254161.152.255.25565,534
154161.153.0.0/16161.153.0.1 to 161.153.255.254161.153.255.25565,534
155161.154.0.0/16161.154.0.1 to 161.154.255.254161.154.255.25565,534
156161.155.0.0/16161.155.0.1 to 161.155.255.254161.155.255.25565,534
157161.156.0.0/16161.156.0.1 to 161.156.255.254161.156.255.25565,534
158161.157.0.0/16161.157.0.1 to 161.157.255.254161.157.255.25565,534
159161.158.0.0/16161.158.0.1 to 161.158.255.254161.158.255.25565,534
160161.159.0.0/16161.159.0.1 to 161.159.255.254161.159.255.25565,534
161161.160.0.0/16161.160.0.1 to 161.160.255.254161.160.255.25565,534
162161.161.0.0/16161.161.0.1 to 161.161.255.254161.161.255.25565,534
163161.162.0.0/16161.162.0.1 to 161.162.255.254161.162.255.25565,534
164161.163.0.0/16161.163.0.1 to 161.163.255.254161.163.255.25565,534
165161.164.0.0/16161.164.0.1 to 161.164.255.254161.164.255.25565,534
166161.165.0.0/16161.165.0.1 to 161.165.255.254161.165.255.25565,534
167161.166.0.0/16161.166.0.1 to 161.166.255.254161.166.255.25565,534
168161.167.0.0/16161.167.0.1 to 161.167.255.254161.167.255.25565,534
169161.168.0.0/16161.168.0.1 to 161.168.255.254161.168.255.25565,534
170161.169.0.0/16161.169.0.1 to 161.169.255.254161.169.255.25565,534
171161.170.0.0/16161.170.0.1 to 161.170.255.254161.170.255.25565,534
172161.171.0.0/16161.171.0.1 to 161.171.255.254161.171.255.25565,534
173161.172.0.0/16161.172.0.1 to 161.172.255.254161.172.255.25565,534
174161.173.0.0/16161.173.0.1 to 161.173.255.254161.173.255.25565,534
175161.174.0.0/16161.174.0.1 to 161.174.255.254161.174.255.25565,534
176161.175.0.0/16161.175.0.1 to 161.175.255.254161.175.255.25565,534
177161.176.0.0/16161.176.0.1 to 161.176.255.254161.176.255.25565,534
178161.177.0.0/16161.177.0.1 to 161.177.255.254161.177.255.25565,534
179161.178.0.0/16161.178.0.1 to 161.178.255.254161.178.255.25565,534
180161.179.0.0/16161.179.0.1 to 161.179.255.254161.179.255.25565,534
181161.180.0.0/16161.180.0.1 to 161.180.255.254161.180.255.25565,534
182161.181.0.0/16161.181.0.1 to 161.181.255.254161.181.255.25565,534
183161.182.0.0/16161.182.0.1 to 161.182.255.254161.182.255.25565,534
184161.183.0.0/16161.183.0.1 to 161.183.255.254161.183.255.25565,534
185161.184.0.0/16161.184.0.1 to 161.184.255.254161.184.255.25565,534
186161.185.0.0/16161.185.0.1 to 161.185.255.254161.185.255.25565,534
187161.186.0.0/16161.186.0.1 to 161.186.255.254161.186.255.25565,534
188161.187.0.0/16161.187.0.1 to 161.187.255.254161.187.255.25565,534
189161.188.0.0/16161.188.0.1 to 161.188.255.254161.188.255.25565,534
190161.189.0.0/16161.189.0.1 to 161.189.255.254161.189.255.25565,534
191161.190.0.0/16161.190.0.1 to 161.190.255.254161.190.255.25565,534
192161.191.0.0/16161.191.0.1 to 161.191.255.254161.191.255.25565,534
193161.192.0.0/16161.192.0.1 to 161.192.255.254161.192.255.25565,534
194161.193.0.0/16161.193.0.1 to 161.193.255.254161.193.255.25565,534
195161.194.0.0/16161.194.0.1 to 161.194.255.254161.194.255.25565,534
196161.195.0.0/16161.195.0.1 to 161.195.255.254161.195.255.25565,534
197161.196.0.0/16161.196.0.1 to 161.196.255.254161.196.255.25565,534
198161.197.0.0/16161.197.0.1 to 161.197.255.254161.197.255.25565,534
199161.198.0.0/16161.198.0.1 to 161.198.255.254161.198.255.25565,534
200161.199.0.0/16161.199.0.1 to 161.199.255.254161.199.255.25565,534
201161.200.0.0/16161.200.0.1 to 161.200.255.254161.200.255.25565,534
202161.201.0.0/16161.201.0.1 to 161.201.255.254161.201.255.25565,534
203161.202.0.0/16161.202.0.1 to 161.202.255.254161.202.255.25565,534
204161.203.0.0/16161.203.0.1 to 161.203.255.254161.203.255.25565,534
205161.204.0.0/16161.204.0.1 to 161.204.255.254161.204.255.25565,534
206161.205.0.0/16161.205.0.1 to 161.205.255.254161.205.255.25565,534
207161.206.0.0/16161.206.0.1 to 161.206.255.254161.206.255.25565,534
208161.207.0.0/16161.207.0.1 to 161.207.255.254161.207.255.25565,534
209161.208.0.0/16161.208.0.1 to 161.208.255.254161.208.255.25565,534
210161.209.0.0/16161.209.0.1 to 161.209.255.254161.209.255.25565,534
211161.210.0.0/16161.210.0.1 to 161.210.255.254161.210.255.25565,534
212161.211.0.0/16161.211.0.1 to 161.211.255.254161.211.255.25565,534
213161.212.0.0/16161.212.0.1 to 161.212.255.254161.212.255.25565,534
214161.213.0.0/16161.213.0.1 to 161.213.255.254161.213.255.25565,534
215161.214.0.0/16161.214.0.1 to 161.214.255.254161.214.255.25565,534
216161.215.0.0/16161.215.0.1 to 161.215.255.254161.215.255.25565,534
217161.216.0.0/16161.216.0.1 to 161.216.255.254161.216.255.25565,534
218161.217.0.0/16161.217.0.1 to 161.217.255.254161.217.255.25565,534
219161.218.0.0/16161.218.0.1 to 161.218.255.254161.218.255.25565,534
220161.219.0.0/16161.219.0.1 to 161.219.255.254161.219.255.25565,534
221161.220.0.0/16161.220.0.1 to 161.220.255.254161.220.255.25565,534
222161.221.0.0/16161.221.0.1 to 161.221.255.254161.221.255.25565,534
223161.222.0.0/16161.222.0.1 to 161.222.255.254161.222.255.25565,534
224161.223.0.0/16161.223.0.1 to 161.223.255.254161.223.255.25565,534
225161.224.0.0/16161.224.0.1 to 161.224.255.254161.224.255.25565,534
226161.225.0.0/16161.225.0.1 to 161.225.255.254161.225.255.25565,534
227161.226.0.0/16161.226.0.1 to 161.226.255.254161.226.255.25565,534
228161.227.0.0/16161.227.0.1 to 161.227.255.254161.227.255.25565,534
229161.228.0.0/16161.228.0.1 to 161.228.255.254161.228.255.25565,534
230161.229.0.0/16161.229.0.1 to 161.229.255.254161.229.255.25565,534
231161.230.0.0/16161.230.0.1 to 161.230.255.254161.230.255.25565,534
232161.231.0.0/16161.231.0.1 to 161.231.255.254161.231.255.25565,534
233161.232.0.0/16161.232.0.1 to 161.232.255.254161.232.255.25565,534
234161.233.0.0/16161.233.0.1 to 161.233.255.254161.233.255.25565,534
235161.234.0.0/16161.234.0.1 to 161.234.255.254161.234.255.25565,534
236161.235.0.0/16161.235.0.1 to 161.235.255.254161.235.255.25565,534
237161.236.0.0/16161.236.0.1 to 161.236.255.254161.236.255.25565,534
238161.237.0.0/16161.237.0.1 to 161.237.255.254161.237.255.25565,534
239161.238.0.0/16161.238.0.1 to 161.238.255.254161.238.255.25565,534
240161.239.0.0/16161.239.0.1 to 161.239.255.254161.239.255.25565,534
241161.240.0.0/16161.240.0.1 to 161.240.255.254161.240.255.25565,534
242161.241.0.0/16161.241.0.1 to 161.241.255.254161.241.255.25565,534
243161.242.0.0/16161.242.0.1 to 161.242.255.254161.242.255.25565,534
244161.243.0.0/16161.243.0.1 to 161.243.255.254161.243.255.25565,534
245161.244.0.0/16161.244.0.1 to 161.244.255.254161.244.255.25565,534
246161.245.0.0/16161.245.0.1 to 161.245.255.254161.245.255.25565,534
247161.246.0.0/16161.246.0.1 to 161.246.255.254161.246.255.25565,534
248161.247.0.0/16161.247.0.1 to 161.247.255.254161.247.255.25565,534
249161.248.0.0/16161.248.0.1 to 161.248.255.254161.248.255.25565,534
250161.249.0.0/16161.249.0.1 to 161.249.255.254161.249.255.25565,534
251161.250.0.0/16161.250.0.1 to 161.250.255.254161.250.255.25565,534
252161.251.0.0/16161.251.0.1 to 161.251.255.254161.251.255.25565,534
253161.252.0.0/16161.252.0.1 to 161.252.255.254161.252.255.25565,534
254161.253.0.0/16161.253.0.1 to 161.253.255.254161.253.255.25565,534
255161.254.0.0/16161.254.0.1 to 161.254.255.254161.254.255.25565,534
256161.255.0.0/16161.255.0.1 to 161.255.255.254161.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses